[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.ClearItemStates

Removes all state classes allocated for the check boxes in the control.

## Declaration

Source position: comboex.pas line 298

`protected procedure TCustomCheckCombo.ClearItemStates;`

## Description

ClearItemStates is a procedure used to remove all state information classes allocated for the check boxes in the control. ClearItemStates iterates over the Items defined in the control, and frees the TCheckBoxState class instances stored in its Objects property.

ClearItemStates is used in the implementation of the SetItems, AssignItems, and Clear methods.

## See also

TCustomComboBox.Items |  | The list of items displayed in the combo-box control.
TCustomCheckCombo.AssignItems |  | Assigns the content in the specified TStringList to the Items in the control.
TCustomCheckCombo.Clear |  | Removes the values stored in the Items property.